python-gd_0.58-1_amd64.deb


Advertisement

Description

python-gd - Python module wrapper for libgd

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-gd
Package version: 0.58
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 139 B
Download size: 26.96 KB
Official Mirror: archive.ubuntu.com
Provides PNG, JPEG, GIF and XPM creation and manipulation routines through the libgd library. Also allows use of TrueType fonts in images created.

Alternatives

    Download

    Source package: python-gd

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-gd deb package:
      # sudo apt-get install python-gd

    Files

    • /usr/lib/python2.7/dist-packages/_gd.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/gd.py
    • /usr/lib/python2.7/dist-packages/gdmodule-0.58.egg-info
    • /usr/share/doc-base/python-gd
    • /usr/share/doc/python-gd/README
    • /usr/share/doc/python-gd/README.Debian
    • /usr/share/doc/python-gd/changelog.Debian.gz
    • /usr/share/doc/python-gd/copyright
    • /usr/share/doc/python-gd/examples/gddemo.py
    • /usr/share/doc/python-gd/html/gd-ref.html

    Changelog

    2014-10-07 - Julián Moreno Patiño <julian@debian.org> python-gd (0.58-1) unstable; urgency=medium * New upstream release. (Closes: #764018) * Remove override_dh_builddeb from d/rules because xz is used by default. * Remove d/source/options, by default is used xz. * Declare compliance with Debian Policy 3.9.6. * Remove get-packaged-orig-source target from d/rules, now the source code is on github. + Remove d/README.source for the same reason. * Remove d/CHANGES and override_dh_installchangelogs in d/rules, because upstream does not provide it anymore. * Update d/watch. * Refresh patches offset. * Update d/copyright. + Add missing font license. + Update Source URL. + Order License Paragraphs. * Add dh-python B-D.

    2014-03-10 - Julián Moreno Patiño <julian@debian.org> python-gd (0.56+dfsg-5) unstable; urgency=low [ Jakub Wilk ] * Fix a typo in README.Debian. [ Julián Moreno Patiño ] * Bump Standards-Version to 3.9.5 (no changes). * Change ttf-freefont by fonts-freefont-ttf in Depends. Thanks to Christian Perrier. (Closes: #738243) * Extend debian copyright holders years.

    2013-06-02 - Julián Moreno Patiño <julian@debian.org> python-gd (0.56+dfsg-4) unstable; urgency=low [ Julián Moreno Patiño ] * Update libgd2-xpm-dev B-D to libgd-dev. * Bump Standards-Version to 3.9.4. * Bump debhelper to (>= 9) for arch and indep targets. * Switch compat level 8 to 9. * Remove CFLAGS and LDFLAGS from rules to use debhelper 9. * Update my email. * debian/copyright: switch formatting to Copyright-Format 1.0. + Extend debian copyright holders years. * Remove unused whitespaces. [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields.

    2012-02-04 - Julián Moreno Patiño <darkjunix@gmail.com> python-gd (0.56+dfsg-3) unstable; urgency=low * Generate python-gd-dbg. + Thanks to Matthias Klose. * Update B-D: + Add libx11-dev. + Change libjpeg62-dev to libjpeg-dev. (Closes: #635490) + Change libpng12-dev to libpng-dev. + Update debhelper to v8. + Version python-all-* build-deps on 2.6.6-3~ * Detect multiarch libraries. (Closes: #651726 LP: #901525) * Bump Standards-Version to 3.9.2 (no changes). * Switch compat level 7 to 8. * Use binary compression package. + Thanks to Raphaël Hertzog. * Refresh patches offset. * Set Python Modules Team as Maintainer. * Add myself to Uploaders. * Add Vcs-Svn and Vcs-Browser fields. * Remove 02_setup.diff for not override CFLAGS. * Export CFLAGS and LDFLAGS from dpkg-buildflags in debian/rules, to use hardening flags. * Add override_dh_clean in debian/rules, to clean properly. * Add get-packaged-orig-source target in debian/rules to get DFSG upstream tarball. + Document how to get the tarball in README.source. * Update copyright file to DEP5 rev 174. + Extend copyright holder years. + Use right BSD license. + Add documentation license. + Use GPL-2+ license in debian packaging. * Remove Provides: ${python:Provides} in d/control. * Wraps the package lists with wrap-and-sort.

    2011-02-15 - Julián Moreno Patiño <darkjunix@gmail.com> python-gd (0.56+dfsg-2) unstable; urgency=low * Added libgif-dev in B-D + Added GIF support to the description * Used 3.0 (quilt) format + Removed --with quilt in dh call. + Removed quilt (>= 0.46-7~) in B-D * Bumped Standards-Version to 3.9.1 (no changes). * Adopted DEP5 format. * Used debhelper 7.0.50~ overrides + Added debhelper 7.0.50~ to B-D * Set python-support to python-support (>= 0.90) * Renamed patch to 01_fonts.diff + Best description. + Fixed font path function * Added patch 02_setup.diff + To avoid unnecessary linking * Added 03_fixgccwarnings.diff + Fix incompatible pointer types + Fix declaration isn't a prototype * Removed Replaces and Conflicts + python2.4-gd, python2.5-gd don't exist into Debian repository

    Advertisement
    Advertisement